Skip to main content

History (REST)


Permissions: strategy:read
Weight: 10
GET 

/open_api/strategies/history

Returns historical trading strategies limited to the most recent 3 months of stored data.
Cabinet Positions page strategies
Sorted by updatedAt datetime in DESC order

Warning

Recently finished strategies are moved to history after at least 2 minutes. If a recently completed, canceled, or otherwise finished strategy is missing from history, please wait a few minutes and try again.

Warning

Strategies opened manually through the Terminal are not accessible via the Open API.

Request​

Responses​

Returns trading strategies data.

Response Headers
    RateLimit-Limit

    The maximum number of tokens allowed in the current period

    Example: 1200
    RateLimit-Remaining

    The number of remaining tokens in the current period

    Example: 1050
    RateLimit-Reset

    Time at which the current rate limit resets (UNIX timestamp in milliseconds)

    Example: 1773649807000